Subject: RE: [RPSEC] Draft Status....

From: Gregory Lebovitz <[email-masked]>
Date: Tue, 23 Jul 2002 18:07:47 -0700

-----Original Message-----
From: Brian Haberman [mailto:[email-masked]]
Sent: Tuesday, July 23, 2002 6:49 AM
To: Alex Zinin
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [RPSEC] Draft Status....

--SNIP--

> 
> >> - by communication media (ATM (rather not touch that), wired, wireless)
> 
> > How much does this differ from the link layer characterization?
> 
> >> - by routed traffic (unicast vs multicast vs ..)
> 
> > Agreed.  This could be a key distinction.  But since PIM relies
> > on the unicast routing table, we may be talking different
> > problem spaces.  Of course DVMRP has its own route exchange
> > which could be protected (not sure if it is worth the effort
> > though).
> 
> I think we should be able to cover both multicast and unicast RPs
> within the same model if we make sure that the analysis of the
> DB maintenance and rtg/fwd state establishment components includes
> the instances used in PIM.

I guess I am more focused on the protection of routing protocol
messages on the wire.  That is an area where the reason for sending
the message differs greatly between PIM and a unicast routing
protocol.  PIM messages (such as the join) actually indicate where
a receiver is located, there isn't an equivalent in unicast routing.

[Gregory] I agree on this point. I think multicast routing protocols will
have some different threats than pure unicast routing protocols, mostly to
do with whether or not you care about a certain group or a neighbor asking
for that group.

_______________________________________________
RPSEC mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rpsec

_______________________________________________
RPSEC mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rpsec

---

From: Alex Zinin <[email-masked]>
Date: Wed, 24 Jul 2002 18:37:55 -0700

Gregory,

> do with whether or not you care about a certain group or a neighbor asking

I agree they will be different, but I still think they are classifiable
to be in the same model. It is still state, the difference is how you
manage it.

Alex